Qt Cryptographic Architecture: QCA::KeyStoreManager Class Reference

Qt Cryptographic Architecture

Signals | Public Member Functions | Static Public Member Functions | Friends | List of all members
QCA::KeyStoreManager Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::KeyStoreManager:
[legend]

## Signals
void | busyFinished ()
void | busyStarted ()
void | keyStoreAvailable (const QString &id)

## Public Member Functions
bool | isBusy () const
| KeyStoreManager (QObject *parent=0)
QStringList | keyStores () const
void | sync ()
void | waitForBusyFinished ()

## Static Public Member Functions
static void | clearDiagnosticText ()
static QString | diagnosticText ()
static void | start ()
static void | start (const QString &provider)

## Friends
class | Global
class | KeyStoreManagerPrivate
class | KeyStorePrivate

## Detailed Description

Access keystores, and monitor keystores for changes.

Before you can access a KeyStore, you must create a KeyStoreManager. You then need to start() the KeyStoreManager, and either wait for the busyFinished() signal, or block using waitForBusyFinished().

If you know the KeyStoreEntry that you need, you can use KeyStore passively, as described in the KeyStoreEntry documentation.

## Constructor & Destructor Documentation

## ◆ KeyStoreManager()

QCA::KeyStoreManager::KeyStoreManager | ( | QObject * | parent = `0` | ) |

Create a new KeyStoreManager.

Parameters

  parent | the parent for this object

## Member Function Documentation

## ◆ start() [1/2]

static void QCA::KeyStoreManager::start | ( |  | ) |
| static

Initialize all key store providers.

## ◆ start() [2/2]

static void QCA::KeyStoreManager::start | ( | const QString & | provider | ) |
| static

Initialize a specific key store provider.

Parameters

  provider | the name of the provider to start

## ◆ isBusy()

bool QCA::KeyStoreManager::isBusy | ( |  | ) | const

Indicates if the manager is busy looking for key stores.

## ◆ waitForBusyFinished()

void QCA::KeyStoreManager::waitForBusyFinished | ( |  | ) |

Blocks until the manager is done looking for key stores.

## ◆ keyStores()

QStringList QCA::KeyStoreManager::keyStores | ( |  | ) | const

A list of all the key stores.

## ◆ diagnosticText()

static QString QCA::KeyStoreManager::diagnosticText | ( |  | ) |
| static

The diagnostic result of key store operations, such as warnings and errors.

## ◆ clearDiagnosticText()

static void QCA::KeyStoreManager::clearDiagnosticText | ( |  | ) |
| static

Clears the diagnostic result log.

## ◆ sync()

void QCA::KeyStoreManager::sync | ( |  | ) |

If you are not using the eventloop, call this to update the object state to the present.

## ◆ busyStarted

void QCA::KeyStoreManager::busyStarted | ( |  | ) |
| signal

emitted when the manager has started looking for key stores

## ◆ busyFinished

void QCA::KeyStoreManager::busyFinished | ( |  | ) |
| signal

emitted when the manager has finished looking for key stores

## ◆ keyStoreAvailable

void QCA::KeyStoreManager::keyStoreAvailable | ( | const QString & | id | ) |
| signal

emitted when a new key store becomes available

Parameters

  id | the name of the key store that has become available

The documentation for this class was generated from the following file:

- qca_keystore.h